RPM Community Forums

Mailing List Message of <rpm-users>

Re: "rpmdeps" not not working (RESOLVED)

From: Eric MSP Veith <eveith@wwweb-library.net>
Date: Fri 13 Jul 2007 - 00:41:23 CEST
Message-Id: <200707130041.27588.eveith@wwweb-library.net>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Thursday 12 July 2007, Jeff Johnson <n3npq@mac.com> wrote:
> On Jul 12, 2007, at 3:30 PM, Eric MSP Veith wrote:
> > I'll try fetching the elflibs and rebuilding rpm against them and
> > report back.
>
> Yep, you need elfutils to see ELF dependencies with rpmdeps.

Yeah, finally rpmdeps works. I found that I *had* a libelf library installed, 
but it was libelf-0.8.9, not the version from RedHat's elfutils package. RPM 
didn't link against my version, so I replaced it, and now it works. Thanks 
for all the help! :-)

> Yes, robust mutexes are not in 2.6.17 kernels, but I would have
> thought that
> glibc-2.6 would have not returned EOWNERDEAD if robust mutexes were
> not supported.

I'm using glibc-2.4 here. It's time for another upgrade of some base packages 
anyways (kernel-headers, glibc), and two and a half month of spare time just 
began, so there's plenty of time to do this. :-)

	Eric
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQFGlq4UfkUtd7QNU/sRApZUAKCC5d7CJmKhAADnAi/te3qYWyLXSwCeJoCY
tJVcu9u7MFBoHsyY0pqnZZA=
=zDFO
-----END PGP SIGNATURE-----
Received on Fri Jul 13 00:41:32 2007
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.